Daemon Power

The NetBSD Packages Collection: misc/attica

Brief description of the package:
Qt library that implements the Open Collaboration Services API

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://projects.kde.org/projects/kdesupport/attica.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "misc/attica" directory. The current source version of the package is "attica-0.4.2nb4". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for misc/attica :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: qt4-libs>=4.6.1nb2 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 cwrappers>=20150314 libLLVM>=7.0.1nb2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libLLVM>=4.0.0 libvdpau>=0.3 meson-[0-9]* ninja-build-[0-9]* re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 x11-links>=1.30 osabi-NetBSD-8.0_STABLE xorgproto>=2016.1 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=7.11.2 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.8.7nb12 qt4-tools>=4.1.0 libtool-base-[0-9]* qt4-libs>=4.8.7 qt4-tools>=4.8.7nb3 .

This package requires the following package(s) to run: qt4-libs>=4.6.1nb2 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=7.11.2 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.8.7nb12 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:attica-0.4.2nb4.tgz(NetBSD 8.0)
alpha:attica-0.4.2nb4.tgz(NetBSD 8.0)
alpha:attica-0.4.2nb4.tgz(NetBSD 8.0)
alpha:attica-0.4.2nb4.tgz(NetBSD 8.0)
earm:attica-0.4.2nb2.tgz(NetBSD 7.0)
earm:attica-0.4.2nb4.tgz(NetBSD 8.0)
earm:attica-0.4.2nb4.tgz(NetBSD 8.0)
earm:attica-0.4.2nb4.tgz(NetBSD 8.0)
earm:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv4:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv4:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv4:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv6hf:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv6hf:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv7hf:attica-0.4.2nb4.tgz(NetBSD 8.0)
earmv7hf:attica-0.4.2nb4.tgz(NetBSD 8.0)
i386:attica-0.4.2nb4.tgz(NetBSD 7.0)
i386:attica-0.4.2nb4.tgz(NetBSD 7.0)
i386:attica-0.4.2nb4.tgz(NetBSD 7.1)
i386:attica-0.4.2nb4.tgz(NetBSD 7.1)
i386:attica-0.4.2nb4.tgz(NetBSD 8.0)
i386:attica-0.4.2nb4.tgz(NetBSD 8.0)
i386:attica-0.4.2nb4.tgz(NetBSD 8.0)
i386:attica-0.2.0nb3.tgz(QNX 6.5.0)
m68k:attica-0.4.2nb4.tgz(NetBSD 8.0)
m68k:attica-0.4.2nb4.tgz(NetBSD 8.0)
powerpc:attica-0.4.2nb4.tgz(NetBSD 7.1)
powerpc:attica-0.4.2nb4.tgz(NetBSD 7.1)
powerpc:attica-0.4.2nb4.tgz(NetBSD 8.0)
powerpc:attica-0.4.2nb4.tgz(NetBSD 8.0)
powerpc:attica-0.4.2nb4.tgz(NetBSD 9.0)
sparc64:attica-0.4.2nb4.tgz(NetBSD 8.0)
sparc64:attica-0.4.2nb4.tgz(NetBSD 8.0)
sparc:attica-0.4.2nb3.tgz(NetBSD 7.0)
sparc:attica-0.4.2nb4.tgz(NetBSD 8.0)
sparc:attica-0.4.2nb4.tgz(NetBSD 8.0)
sparc:attica-0.4.2nb4.tgz(NetBSD 8.0)
x86_64:attica-0.4.2nb4.tgz(NetBSD 7.0)
x86_64:attica-0.4.2nb4.tgz(NetBSD 7.0)
x86_64:attica-0.4.2nb4.tgz(NetBSD 7.1)
x86_64:attica-0.4.2nb4.tgz(NetBSD 7.1)
x86_64:attica-0.4.2nb4.tgz(NetBSD 8.0)
x86_64:attica-0.4.2nb4.tgz(NetBSD 8.0)
x86_64:attica-0.4.2nb4.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]